none
SSAS 2014 from SSDT on VS 2015 RRS feed

  • Dotaz

  • Hi,

    I need to develop some SSAS 2014 tabular models using SSDT for VS 2015 but looking on Internet I always found it is supposed to use SSDT for VS 2013, in my case, it is mandatory to use Visual Studio 2015, but the SSAS is on SQL Server 2014. Could you please tell me which version should I use for SSDT?

    Additionaly, let me tell you I've downloaded SSDT for VS 2015 (v17.x) and even when I can choose compatibility mode for SQL2012/2014 I cannot edit the tabular model with a message that compatibility 1200 is required, just as I was developing on SSAS 2016 but it is not the case

    Thanks,

    čtvrtek 20. září 2018 19:44

Všechny reakce

  • Hi LeoEspejo,

    It should be able to create SSAS 2014 tabular project with SSDT for Visual Studio 2013/2015.

    -->>even when I can choose compatibility mode for SQL2012/2014 I cannot edit the tabular model with a message that compatibility 1200 is required

    That is because the compatibility level must be compatible with the Analysis Services version you want to deploy to. However Integrated workspace is not supported for earlier compatibility levels.

    So, in this case, if would like to develop a SSAS 2014 tabular project with SSDT for Visual Studio 2015, you have to set compatibility level to SQL SERVER 2014/SQL SERVER 2012 SP1 (1103) as SQL Server 2014 only supports 1100 or 1103 and Choose Workspace server to your SSAS 2014 server instead of Integrated workspace.

    Regards,

    Pirlo Zhang 



    MSDN Community Support<br/> Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact <a href="mailto:MSDNFSF@microsoft.com">MSDNFSF@microsoft.com</a>.

    pátek 21. září 2018 6:51